> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出護欄策略

> 列出調用方可見的所有護欄策略。

返回調用方本人創建的所有策略,以及當前活躍組織內所有團隊範圍的策略。每個策略都包含一組帶判定結果的輸入/輸出規則。

## 身份驗證

需要攜帶具有 `billing` API 密鑰作用域的 Bearer 令牌。參見[身份驗證](/api-reference/authentication)。

## 請求示例

<CodeGroup>
  ```bash curl theme={null}
  curl https://www.hitheo.ai/api/v1/guardrail-policies \
    -H "Authorization: Bearer $THEO_API_KEY"
  ```

  ```typescript SDK theme={null}
  const policies = await theo.guardrails.policies.list();
  ```
</CodeGroup>

## 響應

<ResponseField name="guardrail_policies" type="object[]">
  策略對象數組。每個策略都包含 `id`、`name`、`description`、`enabled`、`is_default`、`org_id`,以及完整的 `rules` 數組。
</ResponseField>

### 響應示例

```json theme={null}
{
  "guardrail_policies": [
    {
      "id": "1f4f2c1a-22ce-4b07-9c0b-9c4f4b9b1d2e",
      "name": "Compliance-strict",
      "description": "PII redaction + jailbreak deny.",
      "user_id": "user_abc",
      "org_id": null,
      "enabled": true,
      "is_default": false,
      "rules": [
        {
          "guardrail_id": "pii_redactor",
          "phase": "input",
          "verdict": "redact",
          "config": {},
          "enabled": true
        },
        {
          "guardrail_id": "prompt_injection",
          "phase": "input",
          "verdict": "deny",
          "config": {},
          "enabled": true
        }
      ]
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.